package rentComputer

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type RentComputerRouter struct {
}

func (e *RentComputerRouter) InitRentComputerRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("rentComputer")
	rentComputerApi := v1.ApiGroupApp.RentComputerApiGroup.ApiRentComputer
	{
		excelRouter.POST("getRentComputerList", rentComputerApi.GetRentComputerList) //查询记录
		excelRouter.POST("getRentComputerNum", rentComputerApi.GetRentComputerNum)
		excelRouter.POST("getRentComputerById", rentComputerApi.GetRentComputerById)           // 查询单条记录
		excelRouter.POST("addRentComputer", rentComputerApi.AddRentComputer)                   //添加记录
		excelRouter.PUT("editRentComputer", rentComputerApi.EditRentComputer)                  //修改记录
		excelRouter.DELETE("deleteRentComputerByIds", rentComputerApi.DeleteRentComputerByIds) // 删除多条记录
		excelRouter.DELETE("deleteRentComputerById", rentComputerApi.DeleteRentComputerById)   // 删除单个记录
		excelRouter.POST("importExcel", rentComputerApi.ImportExcel)                           // 导入
		excelRouter.POST("renewRentComputer", rentComputerApi.RenewRentComputer)               //租机续费
		excelRouter.POST("replaceNumRentComputer", rentComputerApi.ReplaceNumRentComputer)     //租机更换编号
		excelRouter.POST("rentingOutRentComputer", rentComputerApi.RentingOutRentComputer)     //租机提前退租
		excelRouter.POST("offShelfRentComputer", rentComputerApi.OffShelfRentComputer)         //租机下架
		excelRouter.POST("renewRentComputerByBatch", rentComputerApi.RenewRentComputerByBatch) //租机批量续费

	}
}
